import { SIZE_OF_EMPTY_ARRAY } from '@/constants/common';
import { rootSelector } from '@/redux/root/root.selectors';
import { createSelector } from '@reduxjs/toolkit';

export const mirnasSelector = createSelector(rootSelector, state => state.mirnas);

export const loadingMirnasStatusSelector = createSelector(mirnasSelector, state => state.loading);
export const numberOfMirnasSelector = createSelector(mirnasSelector, state =>
  state.data ? state.data.length : SIZE_OF_EMPTY_ARRAY,
);
